Eclipse Platform Release 3.7

## org.eclipse.update.core
Interface IInstallHandlerWithFilter

All Superinterfaces:
  IInstallHandler

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IInstallHandlerWithFilter

extends IInstallHandler

Custom install handler.

Field Summary

Fields inherited from interface org.eclipse.update.core.IInstallHandler
`HANDLER_ACTION_CONFIGURE, HANDLER_ACTION_INSTALL, HANDLER_ACTION_UNCONFIGURE, HANDLER_ACTION_UNINSTALL`

Method Summary
`boolean` `acceptNonPluginData(INonPluginEntry data)` Deprecated.

Methods inherited from interface org.eclipse.update.core.IInstallHandler
`completeConfigure, completeInstall, completeUnconfigure, completeUninstall, configureCompleted, configureInitiated, initialize, installCompleted, installInitiated, nonPluginDataDownloaded, pluginsDownloaded, unconfigureCompleted, unconfigureInitiated, uninstallCompleted, uninstallInitiated`

Method Detail

### acceptNonPluginData

    boolean acceptNonPluginData(INonPluginEntry data)

  Deprecated.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.